%define name smb-network
%define version 1.10
%define release 2mdk

Summary:	Browse your SMB shares using a web browser
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/WWW
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Url:		http://www.dragonsdawn.net/~gordon/smb-network/
BuildRequires:	perl
Requires:	perl webserver samba samba-client
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
This CGI will allow you to browse your SMB network using a
web browser. It it ideal for accessing your shares when you
are at a remote location, and can be used over SSL.

%prep

%setup -q

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/www/{cgi-bin,html,html/smbicons}
install -m755 smb-network.cgi %{buildroot}/var/www/cgi-bin/
install -m644 smbicons/*.png %{buildroot}/var/www/html/smbicons/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/var/www/cgi-bin/smb-network.cgi
/var/www/html/smbicons/*.png

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10-2mdk
- build release

* Fri Nov 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.10-1mdk
- new version

* Sun Jun  9 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3-1mdk
- initial cooker contrib
- fixed the spec file

* Sun Apr 29 2001 Gordon Messmer <yinyang@eburg.com>
- 1.0 package
